package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PtoVtaCheckinDAO;
import com.rjconsultores.ventaboletos.entidad.PtoVtaCheckin;

@Repository("ptoVtaCheckinDAO")
public class PtoVtaCheckinHibernateDAO extends GenericHibernateDAO<PtoVtaCheckin, Integer>
		implements PtoVtaCheckinDAO {

	@Autowired
	public PtoVtaCheckinHibernateDAO(
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<PtoVtaCheckin> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.addOrder(Order.asc("ptoVtaCheckinId"));

		return c.list();
	}

	public List<PtoVtaCheckin> buscar(int id) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("ptoVtaCheckinId", id));

		return c.list();
	}

}
